Loading...
Searching...
No Matches
BasixElementData< T > Struct Template Reference

Basix element holder. More...

`#include <FiniteElement.h>`

## Public Attributes

std::reference_wrapper< const basix::FiniteElement< T > > | element
| Finite element.
std::optional< std::vector< std::size_t > > | value_shape = std::nullopt
| Value shape. Can only be set for scalar element.
bool | symmetry = false

## Detailed Description

template<std::floating_point T>
struct dolfinx::fem::BasixElementData< T >

Basix element holder.

Template Parameters

  T | Scalar type

## Member Data Documentation

## symmetry

template<std::floating_point T>

bool symmetry = false

Symmetry. Should only set set for 2nd-order tensor blocked elements.

The documentation for this struct was generated from the following file:

- /build/fenics-dolfinx-PdyzCE/fenics-dolfinx-0.10.0.post5/cpp/dolfinx/fem/FiniteElement.h